<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Permission"
	import="net.sf.basedb.core.PermissionDeniedException"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%@ taglib prefix="tbl" uri="/WEB-INF/table.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final String hostId = request.getParameter("hostId");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	if (!ExtensionsControl.get(dc).hasPermission(Permission.WRITE))
	{
		throw new PermissionDeniedException("You are not allowed to manage Open Grid Clusters.");
	}
%>
<base:page type="default" >
<base:head 
	scripts="~view-host.js" 
	styles="path.css,table.css,toolbar.css">
<style>
/* div for displaying output from ssh commands */
.ssh-out
{
	font-family: monospace, Courier New;
	white-space: pre;
	overflow: auto;
}

/* output from stderr is displayed in red */
.ssh-out .stderr
{
	color: #CC0000;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement title="Open Grid Scheduler clusters" 
			href="<%="list-clusters.jsp?ID="+ID%>"
		/><p:pathelement title="<%=hostId%>" 
		/></p:path>

	<div id="page-data" class="datacontainer"
		data-host-id="<%=HTML.encodeTags(hostId)%>"
	></div>

	<div class="content">
		<table class="fullform topborder">
		<tr>
			<th>Name</th>
			<td id="host-name"></td>
		</tr>
		<tr>
			<th>Connection info</th>
			<td></td>
		</tr>
		<tr>
			<th class="subprompt">Address</th>
			<td id="host-address"></td>
		</tr>
		<tr>
			<th class="subprompt">User</th>
			<td id="username"></td>
		</tr>
		<tr>
			<th class="subprompt">SSH fingerprint</th>
			<td id="fingerprint"></td>
		</tr>
		<tr>
			<th>System info</th>
			<td></td>
		</tr>
		<tr>
			<th class="subprompt">Open Grid version</th>
			<td id="ogs-info-cmd" class="ssh-out"></td>
		</tr>
		<tr>
			<th class="subprompt"></th>
			<td id="ogs-info-result" class="ssh-out"></td>
		</tr>
		<tr>
			<th class="subprompt">Operating system</th>
			<td id="cluster-info-cmd" class="ssh-out"></td>
		</tr>
		<tr>
			<th class="subprompt"></th>
			<td id="cluster-info-result" class="ssh-out"></td>
		</tr>
		<tr>
			<th class="subprompt">Time difference</th>
			<td id="time-cmd" class="ssh-out"></td>
		</tr>
		<tr>
			<th class="subprompt"></th>
			<td id="time-diff" class="ssh-out"></td>
		</tr>
		<tr>
			<th>Job agent</th>
			<td id="job-agent"></td>
		</tr>
		<tr>
			<th>Folders</th>
			<td></td>
		</tr>
		<tr>
			<th class="subprompt">Job folder</th>
			<td id="job-folder"></td>
		</tr>
		<tr>
			<th class="subprompt">Tmp folder</th>
			<td id="tmp-folder"></td>
		</tr>
		<tr>
			<th class="subprompt">Debug folder</th>
			<td id="tmp-folder-debug"></td>
		</tr>
		<tr class="align-top">
			<th>Nodes</th>
			<td id="nodes"></td>
		</tr>
		
		<tr class="dynamic">
			<th></th>
			<td></td>
		</tr>
		</table>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>